Bug 465756 - (CVE-2008-4409) CVE-2008-4409 libxml2: infinite loop when entity is used in entity definition
CVE-2008-4409 libxml2: infinite loop when entity is used in entity definition
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20081002,...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 05:22 EDT by Tomas Hoger
Modified: 2016-03-04 06:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 05:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-06 05:22:02 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4409 to the following vulnerability:

libxml2 2.7.0 and 2.7.1 does not properly handle "predefined entities
definitions" in entities, which allows context-dependent attackers to cause a
denial of service (memory consumption and application crash), as demonstrated
by use of xmllint on a certain XML document, a different vulnerability than
CVE-2003-1564 and CVE-2008-3281.

Upstream bugreport:
http://bugzilla.gnome.org/show_bug.cgi?id=554660

Fixed upstream in 2.7.2:
http://mail.gnome.org/archives/xml/2008-October/msg00016.html

References:
http://openwall.com/lists/oss-security/2008/10/02/4
Comment 1 Tomas Hoger 2008-10-06 05:23:03 EDT
This issue only affected 2.7.x versions of libxml2.  Versions of libxml2 as shipped in Red Hat Enterprise Linux 2.1, 3, 4, and 5 were not affected by this problem.

Note You need to log in before you can comment on or make changes to this bug.